﻿/* -----------------------------------------
   Indice -> Frontend
--------------------------------------------
:: Cores
:: Estilos Compartilhados
:: Atendimento / Requerimento
*/

/* -----------------------------------------
   Cores por marca
----------------------------------------- */
:root {
    --estacio: #0f2752;
    --estacio-alt: #0a1a38;
    --estacio-footer: #16305e;
    --estacio-footer-alt: #040b17;
    --estacio-footer-alt2: #0f2752;

    --wyden: #88005b;
    --wyden-alt: #6e0049;
    --wyden-footer: #192f2c;
    --wyden-footer-alt: #001815;
    --wyden-footer-alt2: #132a27;
}

/* -----------------------------------------
   Estilos Compartilhados
----------------------------------------- */
html { position: relative; min-height: 100%; font-size: 14px; }
body { background-color: #fff; color: #000; font-weight: 400; margin-bottom: 300px; font-size: 1rem; }
body, p, a { font-family: 'Open Sans', sans-serif; }
h1, h2, h3, h4, h5, h6 { font-family: 'Open Sans', sans-serif; font-weight: 400; }
b, strong { font-weight: 600; }
.btn.focus, .btn:focus, .btn:hover, .btn-link:focus, .btn-link:hover { color: #eee; text-decoration: underline; }
.navbar-default .navbar-nav > li > a { color: #777; text-decoration: underline; margin: 0 8px; font-size: 16px; }
.navbar-default .navbar-nav > li > a:focus, .navbar-default .navbar-nav > li > a:hover { color: #000; text-decoration: underline; }

#menu .active { background-color: #156979; }
.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:focus, .navbar-default .navbar-nav>.active>a:hover { color: #fff!important; }
#menu .active a { font-weight: 700; text-decoration: underline; color: #000; }

.navbar-default .navbar-brand { width: 100%; }
.navbar-default .navbar-brand img { margin: 0 auto; }
.img-responsive.logo { margin: 4px 15px 0 0; }

#menu-principal .active { background-color: #156979; }
#menu-principal .active a { font-weight: 700; text-decoration: underline; color: #fff; }
a { color: #156979; }

.btn--link { font-size: 18px; letter-spacing: 1px; color: #000; padding: 12px; margin: 0 30px; }

.breadcrumb { background-color: transparent; padding: 16px 0px; margin-bottom: 10px; }
.breadcrumb li { font-size: 14px; color: #000; }
.breadcrumb li:first-child { margin-right: 5px; }
.breadcrumb li:nth-child(2)::before { content: ''; display: none; }
.breadcrumb li a { font-size: 14px; color: #000; text-decoration: underline; }
.breadcrumb>.active { color: #000; }

/* -- header */
/* menu 1 */
.acessibilidade { min-height: 52px; }
.acessibilidade .d-flex { line-height: 2.3; }
.acessibilidade ul { list-style: none outside none; margin: 0; padding: 0; }
.acessibilidade ul li { display: inline-block; }
.acessibilidade ul li a { font-size: 12px; letter-spacing: 1px; color: #fff!important; padding: 12px; text-decoration: none; margin: 0; }
.btn-font-plus, .btn-font-minus, .btn-font-reset, .btn-hc-on, .btn-hc-off { color: #fff; font-weight: 600; font-size: 20px; background: transparent; border: none;
                                                                            height: 42px; width: 52px; display: flex; align-items: center; justify-content: center; }
.btn-hc-on, .btn-hc-off { transform: translateY(4px); }
.btn-font-plus.focus, .btn-font-plus:focus, .btn-font-plus:hover,
.btn-font-minus.focus, .btn-font-minus:focus, .btn-font-minus:hover,
.btn-font-reset.focus, .btn-font-reset:focus, .btn-font-reset:hover { text-decoration: none; }

.btn-hc-on .glyphicon { font-size: 16px; border-radius: 16px; border: 2px solid #fff; color: #12557a; width: 22px; height: 22px; display: flex; }
.btn-hc-off .glyphicon { font-size: 16px; border-radius: 16px; border: 2px solid #fff; background-color: #fff; width: 22px; height: 22px; display: flex; }
.acessibilidade .pull-right { margin-left: auto; white-space: nowrap; }

/* menu 2 */
.navbar { margin-bottom: 0; background: url('../Images/sombra-topo.png') top left no-repeat; background-size: 100% 83px; }
.navbar.navbar-default { padding-top: 3px; padding-bottom: 6px; border-bottom: 1px solid #7f7f7f; }
.navbar-brand { height: auto; }
.navbar-right { flex-direction: row; }

@media screen and (min-width: 768px) {
    .navbar-right { margin-top: 50px; }
}

/* menu 3 */
.acesso-rapido { height: auto; }
.acesso-rapido ul { list-style: none outside none; margin: 0; padding: 0; }
.acesso-rapido ul li { display: inline-block; position: relative; padding: 12px; }
.acesso-rapido ul li a { font-size: 18px; letter-spacing: 1px; color: #000; padding: 12px; margin: 0 30px; text-decoration: none; }

/* conteudo */
.conteudo { background: url('../Images/sombra-corpo.png') top left no-repeat; background-size: 100% 83px; padding-bottom: 80px; }
h3.h3 { font-weight: 700; font-style: italic; }
p.h4 { font-size: 16px; font-weight: 700; }
.titulo-secao { display: inline-block; color: #fff; padding: 4px 8px; border-radius: 6px; font-size: 14px; }
.titulo-pagina { font-weight: 700; margin-top: 0; margin-bottom: 20px; }

.img-acessibilidade { margin: 5px 0 20px; width: 100%; }

.box { text-align: center; min-height: 20px; padding: 19px; margin-bottom: 20px; border: 1px solid transparent; border-radius: 4px; box-shadow: none; }

.box h4 { color: #fff; margin-top: 0; margin-bottom: 15px; font-weight: 700; font-size: 18px; }
.box img { margin: 0 auto; max-height: 65px; }

.box-form { border: 1px solid #eee; border-left-width: 5px; text-align: left; }
.box-noticia { min-height: 20px; padding: 19px; margin-bottom: 20px; border: 1px solid transparent; border-radius: 4px; box-shadow: none; background-color: #efefef; }
.box-noticia img { width: 100%; margin-bottom: 20px; }
.fundo-noticia { width: 100%; min-height: 39px; background: url('../Images/sombra-noticia.png') top left no-repeat; background-size: 100% 39px; padding-bottom: 80px; }
.box-noticia a { color: #000; text-decoration: underline; font-size: 16px; }
.margem-noticias { margin-bottom: 20px; }
.margem-noticias img { width: 100%; height: auto; object-fit: cover; }
.margem-noticias h3 { margin-top: 10px; }

@media screen and (min-width: 768px) {
    .box-noticia { height: 310px; }
}

/* rodape */
#rodape { position: absolute; width: 100%; bottom: 0; }

.mapa-site { border-bottom: 20px solid transparent; padding-top: 20px; }
.mapa-site h3 { letter-spacing: 1px; text-align: center; color: #fff; margin-bottom: 0; }
.mapa-site ul { list-style: none outside none; margin: 0; padding: 0; }
.mapa-site ul li { display: inline-block; position: relative; padding: 0; }
.mapa-site ul li:after { content: "\00b7"; top: 8px; position: relative; width: 10px; font-size: 32px; color: #fff; margin: 0 5px 0 10px; }
.mapa-site ul li:last-child:after { display: none; }
.mapa-site ul li a { color: #fff; text-decoration: underline; border: 1px solid transparent; }
.mapa-site ul li a:focus { border: 1px solid #1b7aae; }

#mapa { margin-bottom: 20px; }

.rodape-site { background: transparent url('../Images/sombra-rodape.png') top left no-repeat; background-size: 100% 83px; padding: 30px 0 10px; }
.rodape-site img { margin: 0 auto; max-height: 160px; display: block; }
.rodape-site p, .rodape-site a { color: #fff; }
.rodape-site .btn-link { color: #fff; text-decoration: underline; }

/* outros */
.hidden-title { display: none; visibility: hidden; }

.breadcrumb > li + li:before { padding: 0 5px; color: #ccc; content: "/\00a0"; }
label { max-width: 100%; margin-bottom: 5px; font-weight: 700; font-size: 14px; }

/* controles acessibilidade */
.highcontrast, .highcontrast .titulo-pagina { background-color: #777; color: #fff; }
.highcontrast .breadcrumb li, .highcontrast .breadcrumb li a { color: #fff; }
.highcontrast .navbar-default .navbar-nav > li > a { color: #fff; }
.highcontrast .acesso-rapido ul li a { color: #fff; }
.highcontrast h1 a, .highcontrast h2 a, .highcontrast h3 a, .highcontrast h4 a { color: #fff; }
.highcontrast a { color: #fff; text-decoration: underline; }
.highcontrast #menu-principal .active { background-color: #eee; }
.highcontrast #menu-principal .active a { font-weight: 700; text-decoration: underline; background-color: #eee; color: #000; }
.highcontrast .navbar-default .navbar-nav>.active>a { color: #000!important; background-color: #eee!important; }
.highcontrast h1, .highcontrast h2, .highcontrast h3, .highcontrast h4 { color: #fff; }
.highcontrast .box-noticia { background-color: transparent; }

.highcontrast .has-warning .help-block { color: #fff; font-weight: 700; }
.highcontrast .has-warning .checkbox, .highcontrast .has-warning .checkbox-inline, .highcontrast .has-warning .control-label, .highcontrast .has-warning .help-block, .highcontrast .has-warning .radio, .highcontrast .has-warning .radio-inline, .highcontrast .has-warning.checkbox label, .highcontrast .has-warning.checkbox-inline label, .highcontrast .has-warning.radio label, .highcontrast .has-warning.radio-inline label { color: #fff; }

.btn-primary { border-color: #666; }

/* faq/dúvidas */
.list-group-faq { padding-top: 10px; }
.list-group-faq .list-group-item { background-color: transparent; }
#faq1, #faq2, #faq3, #faq4, #faq5 { padding-top: 10px; margin-top: 0; }

/* mensagem de erro */
.mensagem { border: 1px solid #ebccd1; border-radius: 1px 1px 8px 8px; margin: 0; padding: 5px 10px; background-color: #F2DEDE; color: #A94442; font-weight: 600; font-style: italic; }
.mensagem span { margin-right: 5px; }

/* -----------------------------------------
   Atendimento / Requerimento
----------------------------------------- */
.radio-inline { border-radius: 1px; border: 1px solid #000; padding: 0; margin: 5px 10px 5px 0!important; }
.radio-inline:hover, .radio-inline:focus { color: #000; }
.radio-inline input[type=radio] { position: absolute; top: 6px; left: 30px; z-index: 101; }
.radio-inline input + span { background-color: #fff; color: #000; position: relative; display: block; padding: 6px 12px 6px 28px; }
.radio-inline input:checked + span { background-color: #1b7aae; color: #FFF; position: relative; display: block; padding: 6px 12px 6px 28px; }

.radio label:hover { text-decoration: underline; }
.btn-finalizar { background-color: #12557a; color: #fff; border-radius: 1px; }
.subtitle-form { border-bottom: 1px solid #ccc; padding-bottom: 15px; }
.form-control { border: 1px solid #000; border-radius: 1px; margin: 0 0 6px; font-size: 14px; }

.opcoes { width: 53%; float: left; display: inline-block; position: relative; }
.opcoes .radio { display: flex; align-items: center; }
.opcoes .radio label { white-space: nowrap; padding-right: 10px; line-height: 32px; }
.opcoes .radio input { top: 6px; }
.form-control.txt-agendamento { width: 47%; float: left; display: inline-block; position: relative; }
.txt-agendamento.Skype { margin-top: 10px; }
.txt-agendamento.Telefone { margin-top: 47px; }
.txt-agendamento.Email { margin-top: 83px; }
.txt-agendamento.Teams { margin-top: 121px; }
.txt-agendamento.Whatsapp { margin-top: 158px; }

/* form validation */
.has-warning .form-control:focus { border-color: #663d2c!important; }
.has-warning .form-control { border-color: #c2421b !important; box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.071)!important; }

.form-group { position: relative; }
.help-block { position: relative; display: block; }
.help-block.bs-invalid-msg { color: #8a6d3b; font-size: 14px; margin: 0 0 12px; padding-left: 14px; position: relative; }
.help-block.bs-invalid-msg::before { content: "*"; color: #8a6d3b; font-size: 24px; position: absolute; left: 1px; line-height: 1; }

/* modal */
.modal {
  background-color: rgba(0, 0, 0, .80);
}
.modal-dialog { margin-top: 160px; }
.modal-header { border-bottom: none; text-align: center; }
.modal-title { color: #000!important; }
.modal-footer { border-top: none; }
.btn-estudante:focus .box { background-color: #666; }
.btn-docente:focus .box { background-color: #666; }
.modal .btn { width: 100%; padding: 0; }

/* copyright */
.wrapper-copyright { font-size: 10px; font-family: sans-serif; bottom: 0; right: 15px; color: #bbb; cursor: help; position: absolute; text-align: center; -webkit-transform: translateZ(0); -webkit-font-smoothing: antialiased; }
.wrapper-copyright p { color: #339fb3; margin: 0; padding: 22px 0; }
.wrapper-copyright .tt { text-align: center; font-style: italic; background: #1496bb; bottom: 100%; color: #fff; display: block; left: -50%; width: 150%; opacity: 0; padding: 5px; pointer-events: none; position: absolute; -webkit-transform: translateY(10px); transform: translateY(10px); -webkit-transition: all .25s ease-out; transition: all .25s ease-out; -webkit-box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28); box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.28); }
.wrapper-copyright .tt b { font-style: normal; }
.wrapper-copyright .tt:before { bottom: -20px; content: " "; display: block; height: 20px; left: 0; position: absolute; width: 100%; }
.wrapper-copyright .tt:after { border-left: solid transparent 10px; border-right: solid transparent 10px; border-top: solid #1496bb 10px; bottom: -10px; content: " "; height: 0; left: 50%; margin-left: -13px; position: absolute; width: 0; }
.wrapper-copyright:hover .tt { opacity: 1; pointer-events: auto; -webkit-transform: translateY(0px); transform: translateY(0px); }

/* cores por marca */
.estacio .navbar-default .navbar-nav>.active>a, .estacio .navbar-default .navbar-nav>.active>a:focus, .estacio .navbar-default .navbar-nav>.active>a:hover { background-color: var(--estacio); }
.estacio .navbar-default .navbar-brand img { padding: 8px 0; }
.estacio #menu-principal .active { background-color: var(--estacio); }
.estacio a:not(.btn) { color: var(--estacio); }
.estacio .acessibilidade { background-color: var(--estacio); }
.estacio .btn-primary { background-color: var(--estacio); }
.estacio .titulo-secao { background-color: var(--estacio); }
.estacio .titulo-pagina { color: var(--estacio); }
.estacio h3.h3 { color: var(--estacio); }
.estacio .box-form { border-left-color: var(--estacio); }
.estacio .box-atendimento { background-color: var(--estacio); }
.estacio .box-atendimento:hover { background-color: var(--estacio-alt); }
.estacio .box-requerimento { background-color: var(--estacio); }
.estacio .box-requerimento:hover { background-color: var(--estacio-alt); }
.estacio .mapa-site { background-color: var(--estacio-footer); border-bottom-color: var(--estacio-footer-alt2); }
.estacio .rodape-site { background-color: var(--estacio-footer-alt); }

.wyden .navbar-default .navbar-nav>.active>a, .wyden .navbar-default .navbar-nav>.active>a:focus, .wyden .navbar-default .navbar-nav>.active>a:hover { background-color: var(--wyden); }
.wyden #menu-principal .active { background-color: var(--wyden); }
.wyden a:not(.btn) { color: var(--wyden); }
.wyden .acessibilidade { background-color: var(--wyden); }
.wyden .btn-primary { background-color: var(--wyden); }
.wyden .titulo-secao { background-color: var(--wyden); }
.wyden .titulo-pagina { color: var(--wyden); }
.wyden h3.h3 { color: var(--wyden); }
.wyden .box-form { border-left-color: var(--wyden); }
.wyden .box-atendimento { background-color: var(--wyden); }
.wyden .box-atendimento:hover { background-color: var(--wyden-alt); }
.wyden .box-requerimento { background-color: var(--wyden); }
.wyden .box-requerimento:hover { background-color: var(--wyden-alt); }
.wyden .mapa-site { background-color: var(--wyden-footer); border-bottom-color: var(--wyden-footer-alt2); }
.wyden .rodape-site { background-color: var(--wyden-footer-alt); }
.wyden.highcontrast #menu-principal .active a { background-color: transparent; color: #fff; }

.wyden .navbar-brand { padding: 0; }
.wyden .navbar-default .navbar-brand img { height: 100px; width: 100%; object-fit: contain; max-width: 80px; }
.wyden .conteudo { padding-bottom: 80px; }
.wyden .rodape-site img { max-height: 160px; }

/* reCaptcha */
.captcha { display: block; margin: 0 0 15px; }
